Skip to main content
POST
/
rewards
/
{rewardId}
/
redemption-values
Process reward redemption values from CSV
curl --request POST \
  --url https://{subdomain}.nudj.cx/api/v2/admin/rewards/{rewardId}/redemption-values \
  --header 'Content-Type: application/json' \
  --header 'x-api-token: <api-key>' \
  --data '
{
  "csvUrl": "<string>"
}
'
import requests

url = "https://{subdomain}.nudj.cx/api/v2/admin/rewards/{rewardId}/redemption-values"

payload = { "csvUrl": "<string>" }
headers = {
"x-api-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({csvUrl: '<string>'})
};

fetch('https://{subdomain}.nudj.cx/api/v2/admin/rewards/{rewardId}/redemption-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "totalProcessed": 123,
    "updatedAssetsSupply": 123,
    "hasDuplicates": true
  },
  "message": "<string>"
}
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}

Authorizations

x-api-token
string
header
required

Path Parameters

rewardId
string
required

Body

application/json
csvUrl
string<uri>
required

Response

Successful response

success
boolean
required
data
object | null
message
string